ARG BUILD_IMAGE=

FROM ${BUILD_IMAGE}

ARG NAMESPACE=gitlab-org
ARG PROJECT=gitlab-workhorse
ARG VERSION=v5.2.0
ARG API_URL=
ARG API_TOKEN=
ARG FIPS_MODE=

ENV GOTOOLCHAIN=local

ADD gitlab-go.tar.gz /
ADD gitlab-rails-ee.tar.gz /

RUN ldconfig \
    && mkdir /assets \
    && ln -sf /usr/local/go/bin/* /usr/local/bin \
    && FIPS_MODE=${FIPS_MODE} make -C /srv/gitlab/workhorse install \
    && mkdir /assets/licenses && cp /licenses/GitLab.txt /assets/licenses/ \
    && cp -R --parents \
        /usr/local/bin/gitlab-* \
        /srv/gitlab/public \
        /srv/gitlab/doc \
        /assets
